/*
 * Copyright (C), 2020-2024, KylinSoft. Co., Ltd.
 * @Author: zhangfan
 * @FileName: kyee_update.h
 * @Date: 2024-06-14 14:01:20
 * @Version: v1.0
 * @LastEditors: zhangfan
 * @LastEditTime: 2024-06-14 15:56:06
 * @Description: KYEE更新相关的头文件，涉及更新操作的接口
 * @History: Reference changelog
 * @Function List: 
 */
#ifndef __KYEE_UPDATE_H__
#define __KYEE_UPDATE_H__
#if defined(__aarch64__)
#include <err.h>
#include <stdio.h>
#include <string.h>
#include <unistd.h>
#include <tee_client_api.h>

#ifdef __cplusplus
extern "C" {
#endif

// 升级系统固件
// 返回值：0成功，其他值失败
TEEC_Result KYEE_UpdateFirmware(char *firmwareFile);

#ifdef __cplusplus
}
#endif
#endif
#endif

